Subject: bug#11378: 24.1.50; Suggestion: Let M-i in isearch cycle `search-invisible'

From: Stefan Monnier <[email-masked]>
Date: Wed, 30 May 2012 00:32:50 -0400

>> I suggest renaming it to isearch-filter-predicates or
>> isearch-filter-functions.
> isearch-filter-functions is more usual name for the hook-like
> functionality than isearch-filter-predicates.

By convention, "-functions" is used for non-standard hooks, of which
predicates are one particular subset.  But "-predicates" is fine by me.

> Then the combination of comments and strings could be named "text" with
> its filter bound to `M-s f t'.  And the inverse filter to exclude
> comments and strings could be bound to `M-s f T'.  Also it could be
> enabled only in prog-mode.

I was thinking that maybe a cycling behavior would be better than
toggling for these: off / foo-only / foo-excluded.

> I believe that binding `inhibit-point-motion-hooks' to t unconditionally
> shouldn't cause an unwanted effect because `isearch-done' takes care
> about moving point outside of intangible text at the end of the search
> (the source lines that begin with the comment ";; If we ended in the middle
> of some intangible text, move to the further end of that intangible text.")
> But currently I know no test case to prove the effect of
> `inhibit-point-motion-hooks'.

I see.  Since I hate intangible, it's probably OK ;-)

        Stefan